Bug 1230868 - python3-trollius
Summary: python3-trollius
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-trollius
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ian Wienand
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-11 16:27 UTC by Pierre-YvesChibon
Modified: 2018-07-21 03:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-21 03:08:11 UTC


Attachments (Terms of Use)

Description Pierre-YvesChibon 2015-06-11 16:27:09 UTC
Description of problem:
Trollius is py2 and py3 compatible but it seems to be only compiled for py2 in the current spec.

Do you think you could build it for python3 as well?

Thanks

Comment 1 Haïkel Guémar 2015-06-12 16:03:01 UTC
Please push this, it will block many packages for the python3 move.
trollius is part of OpenStack global requirements, and both upstream/downstream are considering python3.

If you can't, just let me know.

Comment 2 Ian Wienand 2015-06-12 22:49:37 UTC
ok i'll get to this soon

Comment 3 Fedora Update System 2015-06-16 01:31:10 UTC
python-trollius-1.0.4-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-trollius-1.0.4-2.el7

Comment 4 Fedora Update System 2015-06-16 02:31:35 UTC
python-trollius-1.0.4-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-trollius-1.0.4-2.fc22

Comment 5 lnie 2015-06-16 08:50:10 UTC
python-trollius-1.0.4-2.fc22 works

Comment 6 Fedora Update System 2015-06-18 18:33:35 UTC
Package python-trollius-1.0.4-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-trollius-1.0.4-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6710/python-trollius-1.0.4-2.el7
then log in and leave karma (feedback).

Comment 7 Jan Kurik 2015-07-15 14:01:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 8 Fedora End Of Life 2016-11-24 11:53:15 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2016-12-20 13:45:56 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Fedora Update System 2017-02-07 03:17:55 UTC
python-trollius-2.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f5de5d3eaf

Comment 11 Fedora Update System 2017-02-08 03:48:46 UTC
python-trollius-2.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f5de5d3eaf

Comment 12 Jan Kurik 2018-05-31 09:02:16 UTC
This bug is currently reported against a Fedora version which is already unsuported.
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.


Note You need to log in before you can comment on or make changes to this bug.